Hi,

Even, I think your message also question the strategy followed for
translation: one version at time and as soon as a version is released,
let's focus on the next one. I'm refering to Transifex, of course, which is
the default and most encouraged interface for translation.
This means that normally, once 2.18.0 is released, strings available in
Transifex wil focus on the next release (master_2? master?). Translators
are no longer able to translate QGIS 2.18 strings from Transifex web
interface. The only step I'm aware of and that could ensure a kind of
translation for new strings is that translators individually pull texts
from source, translate them and make PR against 2.18 branch. Something that
few people will likely do.

@devs after qgis 2.18 is released, will the master_2 branch kept? For a
2.20 version? If no master_2 and thus 2.20 is expected, maybe we could keep
Transifex focus on what would be the 2.18 branch and people will easily
continue translating. And maybe at some stage (when 3.0 release schedule is
more clear), we'll push master branch into Transifex and people begin
translating 3.0 release...

Unless there's a way to have two branches being translated at the same time?

That said, if compatible, I'd prefer to have a feature backported, even
with some parts in english (actually, there are 14 on 40 activated
languages that have more than 90% translated - people can still find web
translators if needed) rather than no feature.

my 2cts,
Harrissou

2016-10-17 16:27 GMT+02:00 Even Rouault <even.roua...@spatialys.com>:

> Any opinion ?
>
> > Hi,
> >
> > I'm currently working on improving geopackage support in QGIS and a first
> > part of this is https://github.com/qgis/QGIS/pull/3597 (other part will
> be
> > DBManager changes)
> > It has been raised that this would be worth backporting in QGIS 2.18.x,
> > hence a few questions:
> > - this PR adds new strings to translate (the DBManager changes might
> also).
> > Will translators do another round of translations for 2.18.x ? If not,
> this
> > might not be material appropriate for 2.18.x
> > - as we are in 2.18.0 feature freeze, must I wait for 2.18.0 to be
> released
> > before backporting (depending on previous question) ?
> >
> > Even
>
> --
> Spatialys - Geospatial professional services
> http://www.spatialys.com
> _______________________________________________
> Qgis-developer mailing list
> Qgis-developer@lists.osgeo.org
> List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
> Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
>
_______________________________________________
Qgis-developer mailing list
Qgis-developer@lists.osgeo.org
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer

Reply via email to